//          File: kruskal.cpp
//        Author: Fred Sisenda
// Last Modified: March 19, 2012


#include <algorithm>
#include <vector>
#include <iostream>
#include <ctime>
#include "unionFind.h"
#include "mst.h"
#include "edge.h"
#include "vertex.h"
#include "graph.h"

using namespace std;

// Comparator for edges
// Might be useful for sorting (hint: STL sort)
class CompareEdges{
	public:
		bool operator()(Edge* e1, Edge* e2){
			if (e1->getWeight() > e2->getWeight()) return true;
			return false;
		}
};


// Kruskal's algorithm for minimum spanning tree
// Dasgupta pg. 144
vector<Edge*> Kruskal::MST(Graph& g){
	clock_t start = clock(), t_sort, t1, t2;
	vector<Edge*> minTree;
	
	// implement edge sort
	
	t_sort = clock();
	
	// imlement the rest of Kruskal's algorithm
	
	t1 = clock() - start;
	t2 = clock() - t_sort;
	cout << "Kruskal's algorithm:" << endl;
	cout << "\tThis has not been implemented yet!" << endl;
	cout << "\tTime: " << t1 << endl;
	cout << "\tTime post sort: " << t2 << endl;
	
	return minTree;
}


