//          File: launcher.cpp
//        Author: Fred Sisenda
// Last Modified: March 27, 2012


#include <cstdlib>
#include <iostream>
#include "edge.h"
#include "graph.h"
#include "mst.h"

using namespace std;


int main(int argc, char* argv[]){
	int n = atoi(argv[1]);			
	// Make random complete undirected graph with n vertices
	Graph myGraph(n);
	cout << "Graph generated" << endl;
	Prim::MST(myGraph);
	Kruskal::MST(myGraph);
	return 0;
}
