//          File: edge.h
//        Author: Fred Sisenda
// Last Modified: March 24, 2012

// Include guard
#ifndef __EDGE_H_INCLUDED__
#define __EDGE_H_INCLUDED__

// Forward declarations
class Vertex;

// Class definition
class Edge{
	Vertex* u;
	Vertex* v;
	int weight, index;
	friend class Graph;
public:
	Vertex* getEnd1();
	Vertex* getEnd2();
	int getWeight();
	int getIndex();
	Edge();
	Edge(int id, Vertex* v1, Vertex* v2, int w);
};

#endif 